Package com.enonic.xp.media

## Enum ImageOrientation

- java.lang.Object
- - java.lang.Enum<ImageOrientation>
  - - com.enonic.xp.media.ImageOrientation

- All Implemented Interfaces:
    `Serializable`, `Comparable<ImageOrientation>`

      public enum ImageOrientation
      extends Enum<ImageOrientation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BottomLeft` |
    `BottomRight` |
    `LeftBottom` |
    `LeftTop` |
    `RightBottom` |
    `RightTop` |
    `TopLeft` |
    `TopRight` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ImageOrientation` | `from​(String value)` |
    `int` | `getValue()` |
    `static boolean` | `isValid​(String value)` |
    `static ImageOrientation` | `valueOf​(int value)` | Returns the enum constant of this type with the specified name.
    `static ImageOrientation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ImageOrientation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TopLeft

          public static final ImageOrientation TopLeft

    - #### TopRight

          public static final ImageOrientation TopRight

    - #### BottomRight

          public static final ImageOrientation BottomRight

    - #### BottomLeft

          public static final ImageOrientation BottomLeft

    - #### LeftTop

          public static final ImageOrientation LeftTop

    - #### RightTop

          public static final ImageOrientation RightTop

    - #### RightBottom

          public static final ImageOrientation RightBottom

    - #### LeftBottom

          public static final ImageOrientation LeftBottom

  - ### Method Detail

    - #### values

          public static ImageOrientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageOrientation c : ImageOrientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageOrientation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### valueOf

          public static ImageOrientation valueOf​(int value)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `value` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### from

          public static ImageOrientation from​(String value)

    - #### isValid

          public static boolean isValid​(String value)